Package com.salesforce.datacloud.jdbc.core.accessor

## Class QueryJDBCAccessorFactory

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessorFactory

    public class QueryJDBCAccessorFactory
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `QueryJDBCAccessorFactory.WasNullConsumer`

### Constructor Summary

Constructors
`QueryJDBCAccessorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static QueryJDBCAccessor` `createAccessor​(org.apache.arrow.vector.ValueVector vector, IntSupplier getCurrentRow, QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryJDBCAccessorFactory

    public QueryJDBCAccessorFactory()

### Method Detail

#### createAccessor

    public static QueryJDBCAccessor createAccessor​(org.apache.arrow.vector.ValueVector vector,
                                                   IntSupplier getCurrentRow,
                                                   QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)
                                            throws SQLException

Throws:
  `SQLException`